Bug 1705627 - Command line should show console URL on login and `oc whoami --show-console`
Summary: Command line should show console URL on login and `oc whoami --show-console`
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: oc
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.1.0
Assignee: Michal Fojtik
QA Contact: Mike Fiedler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-02 15:49 UTC by Samuel Padgett
Modified: 2019-05-06 13:00 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-03 19:51:31 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Samuel Padgett 2019-05-02 15:49:31 UTC
Console publishes it public URL in config map console-public in openshift-config-managed, key `consoleURL`. The config map data will be empty if console is removed. This config map is readable to any authenticated user.

Related console operator changes: https://github.com/openshift/console-operator/pull/218

Comment 1 Michal Fojtik 2019-05-02 17:12:02 UTC
PR: https://github.com/openshift/origin/pull/22744

Comment 2 Mike Fiedler 2019-05-03 15:29:18 UTC
Verified on 4.1.0-0.nightly-2019-05-03-093152

# oc whoami --show-console
https://console-openshift-console.apps.mffiedler-154.perf-testing.devcluster.openshift.com

Comment 3 Samuel Padgett 2019-05-03 15:33:16 UTC
Mike, did you test as a normal user? Would be good to verify the RBAC is correct.

Comment 4 Mike Fiedler 2019-05-03 15:42:48 UTC
Re: comment 3.   Should have stated that:   tested as a) authenticated cluster-admin (non-kubeadmin user) and b) authenticated normal user with no cluster role bindings

Comment 5 Samuel Padgett 2019-05-03 19:51:31 UTC
Great, thanks!


Note You need to log in before you can comment on or make changes to this bug.